[pkg-fso-maint] wicd: Dependencies don't allow usage of udhcpc

Luca Capello luca at pca.it
Sun Mar 22 23:43:20 UTC 2009

user pkg-fso-maint at lists.alioth.debian.org
usertags + 520014 package-installation

Hi David!

On Mon, 16 Mar 2009 22:04:33 +0100, manuk7 wrote:
> Using udhcpc as DHCP client with wicd seems to be impossible.
> wicd dependencies only support dhclient3-client, dhcpcd or pump.

I was installing wicd on my Openmoko FreeRunner and found the same.

First of all, of the four dhcp-client Debian provides (and I am aware
of), three of them require a very similar (and small) disk space:
debian-gta02:~# apt-cache show dhcpcd | grep Installed-Size
Installed-Size: 184
debian-gta02:~# apt-cache show dhcp3-client | grep Installed-Size
Installed-Size: 548
debian-gta02:~# apt-cache show pump | grep Installed-Size
Installed-Size: 112
debian-gta02:~# apt-cache show udhcpc | grep Installed-Size
Installed-Size: 116

However, if we count the dependencies, only udhcpc requires nothing more
than libc6, which means that its *real* Installed-Size is the lowest
one.  Yet udhcpc is not considered by wicd.

Another bonus point for udhcpc is the fact that busybox implements it
(even if Debian busybox does not ship it, bug #504089 [1]): however, I
am not saying that you should add busybox to the Depends:.

I think the best solution for this bug would be to use something like
"Depends: $YOUR_PREFERRED_DHCP_CLIENT | dhcp-client", but in this case
please be aware of bug #520842 [2], which is IMHO a showstopper.

Thx, bye,
Gismo / Luca

[1] http://bugs.debian.org/504089
[2] http://bugs.debian.org/520842
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 314 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-fso-maint/attachments/20090323/27c886bf/attachment.pgp 

More information about the pkg-fso-maint mailing list